package com.ruoyi.dxp.service;

import java.util.List;
import com.ruoyi.dxp.domain.CallLogParam;

/**
 * 接口监控参数Service接口
 * 
 * @author jy
 * @date 2022-11-06
 */
public interface ICallLogParamService 
{
    /**
     * 查询接口监控参数
     * 
     * @param id 接口监控参数主键
     * @return 接口监控参数
     */
    public CallLogParam selectCallLogParamById(Long id);

    /**
     * 查询接口监控参数列表
     * 
     * @param callLogParam 接口监控参数
     * @return 接口监控参数集合
     */
    public List<CallLogParam> selectCallLogParamList(CallLogParam callLogParam);

    /**
     * 新增接口监控参数
     * 
     * @param callLogParam 接口监控参数
     * @return 结果
     */
    public int insertCallLogParam(CallLogParam callLogParam);

    /**
     * 修改接口监控参数
     * 
     * @param callLogParam 接口监控参数
     * @return 结果
     */
    public int updateCallLogParam(CallLogParam callLogParam);

    /**
     * 批量删除接口监控参数
     * 
     * @param ids 需要删除的接口监控参数主键集合
     * @return 结果
     */
    public int deleteCallLogParamByIds(Long[] ids);

    /**
     * 删除接口监控参数信息
     * 
     * @param id 接口监控参数主键
     * @return 结果
     */
    public int deleteCallLogParamById(Long id);
}
